glibmm 2.4: Glib::HelperList< T_Child, T_CppElement, T_Iterator > Class Template Reference

Main Page Widgets glibmm Namespaces Book

# Glib::HelperList< T_Child, T_CppElement, T_Iterator > Class Template Reference

List of all members.

## Public Types
typedef T_Child | value_type
typedef value_type& | reference
typedef const value_type& | const_reference
typedef T_Iterator | iterator
typedef List_ConstIterator< iterator > | const_iterator
typedef List_ReverseIterator< iterator > | reverse_iterator
typedef List_ConstIterator< reverse_iterator > | const_reverse_iterator
typedef T_CppElement | element_type
typedef size_t | difference_type
typedef size_t | size_type
## Public Member Functions
| HelperList ()
| HelperList (GObject* gp)
virtual | ~HelperList ()
virtual iterator | erase (iterator)=0
virtual void | erase (iterator start, iterator stop)
virtual void | remove (const_reference)=0
size_type | size () const
size_type | max_size ()
bool | empty ()
iterator | begin ()
iterator | end ()
const_iterator | begin () const
const_iterator | end () const
reverse_iterator | rbegin ()
reverse_iterator | rend ()
const_reverse_iterator | rbegin () const
const_reverse_iterator | rend () const
reference | front () const
reference | back () const
reference | operator[] (size_type l) const
void | pop_front ()
void | pop_back ()
void | clear ()
GObject* | gparent ()
const GObject* | gparent () const
## Protected Member Functions
virtual GList*& | glist () const=0
iterator | begin_ () const
iterator | end_ () const
## Protected Attributes
GObject* | gparent_

### template <typename T_Child, typename T_CppElement, typename T_Iterator>
class Glib::HelperList< T_Child, T_CppElement, T_Iterator >

## Member Typedef Documentation

template <typename T_Child, typename T_CppElement, typename T_Iterator>

typedef T_Child Glib::HelperList<T_Child, T_CppElement, T_Iterator>::value_type

template <typename T_Child, typename T_CppElement, typename T_Iterator>

typedef value_type& Glib::HelperList<T_Child, T_CppElement, T_Iterator>::reference

template <typename T_Child, typename T_CppElement, typename T_Iterator>

typedef const value_type& Glib::HelperList<T_Child, T_CppElement, T_Iterator>::const_reference

template <typename T_Child, typename T_CppElement, typename T_Iterator>

typedef T_Iterator Glib::HelperList<T_Child, T_CppElement, T_Iterator>::iterator

template <typename T_Child, typename T_CppElement, typename T_Iterator>

typedef List_ConstIterator<iterator> Glib::HelperList<T_Child, T_CppElement, T_Iterator>::const_iterator

template <typename T_Child, typename T_CppElement, typename T_Iterator>

typedef List_ReverseIterator<iterator> Glib::HelperList<T_Child, T_CppElement, T_Iterator>::reverse_iterator

template <typename T_Child, typename T_CppElement, typename T_Iterator>

typedef List_ConstIterator<reverse_iterator> Glib::HelperList<T_Child, T_CppElement, T_Iterator>::const_reverse_iterator

template <typename T_Child, typename T_CppElement, typename T_Iterator>

typedef T_CppElement Glib::HelperList<T_Child, T_CppElement, T_Iterator>::element_type

template <typename T_Child, typename T_CppElement, typename T_Iterator>

typedef size_t Glib::HelperList<T_Child, T_CppElement, T_Iterator>::difference_type

template <typename T_Child, typename T_CppElement, typename T_Iterator>

typedef size_t Glib::HelperList<T_Child, T_CppElement, T_Iterator>::size_type

## Constructor & Destructor Documentation

template <typename T_Child, typename T_CppElement, typename T_Iterator>

Glib::HelperList<T_Child, T_CppElement, T_Iterator>::HelperList | ( |  | ) | `[inline]`

template <typename T_Child, typename T_CppElement, typename T_Iterator>

Glib::HelperList<T_Child, T_CppElement, T_Iterator>::HelperList | ( | GObject* | gp | ) | `[inline]`

template <typename T_Child, typename T_CppElement, typename T_Iterator>

virtual Glib::HelperList<T_Child, T_CppElement, T_Iterator>::~HelperList | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

template <typename T_Child, typename T_CppElement, typename T_Iterator>

virtual iterator Glib::HelperList<T_Child, T_CppElement, T_Iterator>::erase | ( | iterator |  | ) | `[pure virtual]`

template <typename T_Child, typename T_CppElement, typename T_Iterator>

virtual void Glib::HelperList<T_Child, T_CppElement, T_Iterator>::erase | ( | iterator | start,
|  | iterator | stop |
| ) |  |  | `[inline, virtual]`

template <typename T_Child, typename T_CppElement, typename T_Iterator>

virtual void Glib::HelperList<T_Child, T_CppElement, T_Iterator>::remove | ( | const_reference |  | ) | `[pure virtual]`

template <typename T_Child, typename T_CppElement, typename T_Iterator>

size_type Glib::HelperList<T_Child, T_CppElement, T_Iterator>::size | ( |  | ) | const`[inline]`

template <typename T_Child, typename T_CppElement, typename T_Iterator>

size_type Glib::HelperList<T_Child, T_CppElement, T_Iterator>::max_size | ( |  | ) | `[inline]`

template <typename T_Child, typename T_CppElement, typename T_Iterator>

bool Glib::HelperList<T_Child, T_CppElement, T_Iterator>::empty | ( |  | ) | `[inline]`

template <typename T_Child, typename T_CppElement, typename T_Iterator>

iterator Glib::HelperList<T_Child, T_CppElement, T_Iterator>::begin | ( |  | ) | `[inline]`

template <typename T_Child, typename T_CppElement, typename T_Iterator>

iterator Glib::HelperList<T_Child, T_CppElement, T_Iterator>::end | ( |  | ) | `[inline]`

template <typename T_Child, typename T_CppElement, typename T_Iterator>

const_iterator Glib::HelperList<T_Child, T_CppElement, T_Iterator>::begin | ( |  | ) | const`[inline]`

template <typename T_Child, typename T_CppElement, typename T_Iterator>

const_iterator Glib::HelperList<T_Child, T_CppElement, T_Iterator>::end | ( |  | ) | const`[inline]`

template <typename T_Child, typename T_CppElement, typename T_Iterator>

reverse_iterator Glib::HelperList<T_Child, T_CppElement, T_Iterator>::rbegin | ( |  | ) | `[inline]`

template <typename T_Child, typename T_CppElement, typename T_Iterator>

reverse_iterator Glib::HelperList<T_Child, T_CppElement, T_Iterator>::rend | ( |  | ) | `[inline]`

template <typename T_Child, typename T_CppElement, typename T_Iterator>

const_reverse_iterator Glib::HelperList<T_Child, T_CppElement, T_Iterator>::rbegin | ( |  | ) | const`[inline]`

template <typename T_Child, typename T_CppElement, typename T_Iterator>

const_reverse_iterator Glib::HelperList<T_Child, T_CppElement, T_Iterator>::rend | ( |  | ) | const`[inline]`

template <typename T_Child, typename T_CppElement, typename T_Iterator>

reference Glib::HelperList<T_Child, T_CppElement, T_Iterator>::front | ( |  | ) | const`[inline]`

template <typename T_Child, typename T_CppElement, typename T_Iterator>

reference Glib::HelperList<T_Child, T_CppElement, T_Iterator>::back | ( |  | ) | const`[inline]`

template <typename T_Child, typename T_CppElement, typename T_Iterator>

reference Glib::HelperList<T_Child, T_CppElement, T_Iterator>::operator[] | ( | size_type | l | ) | const`[inline]`

template <typename T_Child, typename T_CppElement, typename T_Iterator>

void Glib::HelperList<T_Child, T_CppElement, T_Iterator>::pop_front | ( |  | ) | `[inline]`

template <typename T_Child, typename T_CppElement, typename T_Iterator>

void Glib::HelperList<T_Child, T_CppElement, T_Iterator>::pop_back | ( |  | ) | `[inline]`

template <typename T_Child, typename T_CppElement, typename T_Iterator>

void Glib::HelperList<T_Child, T_CppElement, T_Iterator>::clear | ( |  | ) | `[inline]`

template <typename T_Child, typename T_CppElement, typename T_Iterator>

GObject* Glib::HelperList<T_Child, T_CppElement, T_Iterator>::gparent | ( |  | ) | `[inline]`

template <typename T_Child, typename T_CppElement, typename T_Iterator>

const GObject* Glib::HelperList<T_Child, T_CppElement, T_Iterator>::gparent | ( |  | ) | const`[inline]`

template <typename T_Child, typename T_CppElement, typename T_Iterator>

virtual GList*& Glib::HelperList<T_Child, T_CppElement, T_Iterator>::glist | ( |  | ) | const`[protected, pure virtual]`

template <typename T_Child, typename T_CppElement, typename T_Iterator>

iterator Glib::HelperList<T_Child, T_CppElement, T_Iterator>::begin_ | ( |  | ) | const`[inline, protected]`

template <typename T_Child, typename T_CppElement, typename T_Iterator>

iterator Glib::HelperList<T_Child, T_CppElement, T_Iterator>::end_ | ( |  | ) | const`[inline, protected]`

## Member Data Documentation

template <typename T_Child, typename T_CppElement, typename T_Iterator>

GObject* Glib::HelperList<T_Child, T_CppElement, T_Iterator>::gparent_`[protected]`

The documentation for this class was generated from the following file:

- helperlist.h